Subject: Re: [Roll] how to solve flow from RPL-aware-leaf to non-RPL-aware-leaf

From: Ines Robles <[email-masked]>
Date: Wed, 2 Mar 2016 13:46:47 +0200

Hi,

The version 01 of the draft was updated with these options.

Please we would like to know your opinion on the possible solutions

Thank you,

The authors,

2016-02-22 5:51 GMT+02:00 Michael Richardson <[email-masked]>:

>
> here are two possible ways to deal with this issue:
>
> 1) Pascal has pointed out that we can use an IPIP header on a hop-by-hop
>    basis, using either link-local addresses, or even GUA addresses, but
>    each IPIP header needs to be added/removed at each hop.
>
> 2) If the definition of the RPI was changed so that it isn't a
>    "discard if not recognized" type.  This change is an incompatible
>    on-the-wire change, and would represent a flag day.
>    However, this change could perhaps be done with the updated 6LoRH
>    compression work, as that is also an incompatible on-the-wire
>    change for which we presently have no way to signal.
>
> 3) These proposals are not mutually exclusive: we could do both.
>
> I'm not looking for "yes, I like proposal X", but rather I'm looking for
> replies of the form of "I can not live with proposal X because Y"
>
>
>